<?php

set_time_limit ( 0);
global $encod;

define("TEMP_PATH","_tmp/");
define("UPLOAD_PATH","images/");


//define("URL_BASE","");
define("URL_BASE","http://".$_SERVER['HTTP_HOST']);
define("URL_PATH","fw/");
define("URL_SITIO",URL_BASE.URL_PATH);
define("MODULE_DIRECTORY", "general/modules/");


define("DEVELOPER_MODE",TRUE);
define('TIEMPO_SESSION','1440');
define('NOMBRE_SESSION','nosesion');

define('FLAG_HO',TRUE); //False para HO - True para BO
define('SQL_SERVER', '10.231.45.205\sql2019');
define('SQL_USER', 'debo');
define('SQL_PASS', 'debo');
define('SQL_DATABASE', 'Nicaragua_01112023');
//define('SQL_SERVER', 'SVDESARROLLO\SQL2008R2');
//define('SQL_USER', 'sa');
//define('SQL_PASS', 'Xxzz@2014');
//define('SQL_DATABASE', 'PETROCAPITAL');


//define('SQL_SERVER', 'SERVIDOR');
//define('SQL_USER', 'debo');
//define('SQL_PASS', 'debo');
//define('SQL_DATABASE', 'DEBO');


define('EMAIL_FROM', 'postmaster@localhost');
define('DOMINIO_LINK_REPASS', 'http://localhost/clientes/');
define('ENC_KEY_SECRET', 'foca-soft');
define('ENC_TYPE', 'sha256');



define('DEFAULT_FUNCTION_INIT', 'init');


define('LOG_VARS', "log.lg");

if ($encod ){
    define("ENCODED", 1);
    define("MAIN_APP_DIRECTORY", "app/");
}
else{
    define("ENCODED", 0);
    define("MAIN_APP_DIRECTORY", "app_decode/");
}

function get_conf(&$_config){
    
    $_config["default_function"] = DEFAULT_FUNCTION_INIT;

    $_config["database"]["server"] = SQL_SERVER;
    $_config["database"]["user"] = SQL_USER;
    $_config["database"]["password"] = SQL_PASS;
    $_config["database"]["database"] = SQL_DATABASE;

    $_config["soap"]['clientes'] = array(
        "wsdl"=>null,
        "location" => "http://localhost/wstercero/clientes",
        //"location" => "http://sociosao.sytes.net/wstercero/clientes",
        "uri" => "clientes",
        "login" => "",
        "password" => "",
    );
    
    //$_config['access'][] = "mysql.php";
    $_config['access'][] = "sqlsrv.php";
    $_config['access'][] = "soap.php";
   
    $_config['js'] = array(
        "jquery.min.js",
        "jquery.json.min.js",
        "jquery-ui.min.js",
        "main.js",
        "tabs_manager.js",
        "quicksearch.js",
        "jquery.mousewheel.js",
        "jquery.maskedinput.min.js",
        "jquery.jscrollpane.js"
        );

    $_config['css'] = array(
        "main.css",
        "botones.css",
        "jquery-ui.css",
        "jquery.jscrollpane.css");

    $_config['route'] = array(
        "recordar-pasword/get/(:any)"=>"repass/send/[1]"
    );


    
    
    $_config['ajax']['encoding'] = "Content-type: text/html; charset=utf-8";
    //$_config['model'] = "model_ws";
    $_config['default_layout'] = "main.php";
}



//se escriben los dias y los meses sin 0 adelante, no se puede escribir por ejemplo el 4 de agosto como 04 y 08, 
//la forma correcta es 4 para el dia y 8 para el mes
define("DIA_EXP", "30");
define("MES_EXP", "12");
define("YEAR_EXP", "2025");

$fecha = mktime(0,0,0,MES_EXP,DIA_EXP,YEAR_EXP);
if (time() > $fecha){
    echo "<div class='expired' style='padding:50px 0px;border: 1px solid #aaa;font-size:24px; text-align:center;margin-top:150px; background:#efeffe;display: block;border-radius:5px;'>El sitio se encuentra temporalmente fuera de servicio. Disculpe las molestias. Gracias.</div>";
    die();
}

?>
